import { CSSResult } from 'lit';
import { LitElement } from 'lit';
import { TemplateResult } from 'lit-html';

export declare class ModalComponent extends PlusBase {
    size: SizeType;
    isOpen: boolean;
    fullWidth: boolean;
    constructor();
    connectedCallback(): void;
    hide(): void;
    private modalHide;
    show(): void;
    private modalShow;
    render(): TemplateResult<1>;
}

declare abstract class PlusBase extends LitElement {
    static styles: CSSResult[];
    id: string;
    name: string;
    value: string | number;
    disabled: boolean;
    readonly: boolean;
    required: boolean;
    loading: boolean;
    title: string;
    emit(name: string, options?: CustomEventInit): CustomEvent<any>;
}

declare type SizeType = "sm" | "md" | "lg";

export { }
